% overlap - cara domains

function f = overlap_cara(data, grid, type, iter, in_sample, sample)

tic;
%% OVERLAP
load(grid.name);

size_hi = size(grid.l_hi,2);
size_dental = size(grid.l_dental,2);
size_rx = size(grid.l_rx,2);

count = 0;
result = zeros(size_hi*size_rx*size_dental, 4);
[size_hi,size_dental,size_rx]

for k_hi=1:size_hi
    cutoffs_hi = grid.hi.cutoffs{k_hi};
    ival.hi(:,1) = cutoffs_hi(sub2ind(size(cutoffs_hi),grid.hi.menu,data.hi.choice));
    ival.hi(:,2) = cutoffs_hi(sub2ind(size(cutoffs_hi),grid.hi.menu,data.hi.choice+1));
    for k_d = 1:size_dental
        cutoffs_dental = grid.dental.cutoffs{k_d};
        ival.dental(:,1) = cutoffs_dental(sub2ind(size(cutoffs_dental),grid.dental.menu,data.dental.choice));
        ival.dental(:,2) = cutoffs_dental(sub2ind(size(cutoffs_dental),grid.dental.menu,data.dental.choice+1));
        for k_rx = 1:size_rx
            count = count+1;
            cutoffs_rx = grid.rx.cutoffs{k_rx};
            ival.rx(:,1) = cutoffs_rx(sub2ind(size(cutoffs_rx),grid.rx.menu,data.rx.choice));
            ival.rx(:,2) = cutoffs_rx(sub2ind(size(cutoffs_rx),grid.rx.menu,data.rx.choice+1));
            intrsct_cara_lb = max([ival.hi(:,1), ival.dental(:,1), ival.rx(:,1)],[],2);
            intrsct_cara_ub = min([ival.hi(:,2), ival.dental(:,2), ival.rx(:,2)],[],2);
            any_overlap = (intrsct_cara_lb<intrsct_cara_ub & in_sample == 1);
            result(count, :) = [grid.l_hi(k_hi), grid.l_rx(k_rx), grid.l_dental(k_d), sum(any_overlap)/sum(in_sample)];
        end
    end
end

data.all_time = toc;

output_file = ['../results/' type, '_', sample, '_cara_', iter]
save(output_file , 'result')

end
