function f=cara_diff(l, ra, price1, price2, oop1, oop2)
% l - lambda
% a - coefficient of absolute risk aversion
% price1, price2 - prices of the two options
% oop1, oop2 - oop realizations under plans 1 and 2

if ra == 0
    % this value is the same as the value we get below as ra is approaching 0
	c1 = -l*oop1-price1;
	c2 = -l*oop2-price2;
	f = mean(c1-c2);
else
	term1=-ra.*((-l*oop1-price1));
	term2=-ra.*((-l*oop2-price2));

	% this is the normalization because the computer will recognize only
	% exp(w) if w is larger than -745 and less than 710.  
	temp=[term1' term2'];
	a=min(min(temp));
	b=max(max(temp));

		if a<-745
		   v=-744+(b-a);
		  norm=745-floor((709-v)/2)+ a;
	   elseif b>710
		   u=709-(b-a);
		   norm=745-floor((u+744)/2)+ a;
	   else
		   norm=0;
	   end

	   % u(opt1) - u(opt2)
   
    term=((-exp(term1-norm))-(-exp(term2-norm)))/ra;
    if norm~=0 
        norm;
    end
	f=mean(term);
	end
end
