% July 2011
% type = cara or crra

clear all;

%% Samples (risk_type and sample)
% base/base
% base/housing
% base/eq50
% base/eq50_150
% base/eq150
% base/max_401k_1
% base/max_401k_0
% female_1/female_1
% female_0/female_0
% young_1/young_1
% young_0/young_0
% high_wage_1/high_wage_1
% high_wage_0/high_wage_0

%%
% dbstop in master at 45

typevec{1} = 'cara';
typevec{2}= 'crra';      % can also be cara or mix (need to write code for mix)

samplevec{1,1} = 'base';
samplevec{1,2} = 'base';

samplevec{2,1} = 'base';
samplevec{2,2} = 'housing';

samplevec{3,1} = 'base';
samplevec{3,2} = 'eq50';

samplevec{4,1} = 'base';
samplevec{4,2} = 'eq50_150';

samplevec{5,1} = 'base';
samplevec{5,2} = 'eq150';

samplevec{6,1} = 'base';
samplevec{6,2} = 'max_401k_1';

samplevec{7,1} = 'base';
samplevec{7,2} = 'max_401k_0';

samplevec{8,1} = 'female_1';
samplevec{8,2} = 'female_1';

samplevec{9,1} = 'female_0';
samplevec{9,2} = 'female_0';

samplevec{10,1} = 'young_1';
samplevec{10,2} = 'young_1';

samplevec{11,1} = 'young_0';
samplevec{11,2} = 'young_0';

samplevec{12,1} = 'high_wage_1';
samplevec{12,2} = 'high_wage_1';

samplevec{13,1} = 'high_wage_0';
samplevec{13,2} = 'high_wage_0';

domains{1} = 'all';
domains{2} = 'no_401k';
domains{3} = 'crra';
domains{4} = 'cara';

for i = 1:1 
	for j = 1:1
		for k = 1:4 
			overlap = domains{k}
			% sample used to construct cutoffs
			risk_type = samplevec{j,1};
			% sample used as baseline
			sample = samplevec{j,2};

			type = typevec{i}
			
			rfinal = load(['../results/' type, '_', sample, '_' overlap '_1.mat'])
			results = rfinal.result
			clear rfinal

			if exist(['../results/' type, '_', sample, '_' overlap '_2.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_2'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_3.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_3'])
				results = [results; rfinal.result];
				clear rfinal
			end

			if exist(['../results/' type, '_', sample, '_' overlap '_4.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_4'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_5.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_5'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_6.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_6'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_7.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_7'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_8.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_8'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_9.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_9'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_10.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_10'])
				results = [results; rfinal.result];
				clear rfinal
			end
			
			if exist(['../results/' type, '_', sample, '_' overlap '_11.mat']) == 2
				rfinal = load(['../results/' type, '_', sample, '_' overlap '_11'])
				results = [results; rfinal.result];
				clear rfinal
			end

			% save(['../combined_results/' type, '_', sample, '_' overlap], 'results')
			
			% add code to write output file with the combined tables
			outfile = ['../txt/' type, '_', sample, '_' overlap, '.txt'];
			
			for d = 1:size(results, 2)-1
				grid{d} = unique(results(:,d));
			end
			
			write(outfile, results, grid, sample);
			clear grid outfile results sample risk_type overlap
			
			% remove count = count + 1 from overlap_crra
			% add code for alternative income measure
		end
	end
end
