function y = crra_diff(l, g, opt1, opt2, oop, opt)
% l - lambda
% g - coefficient of relative risk aversion

% opt - which options to compare 1, 2, 3
% oop - the oop cost
% opt - the option - 1:5 - price, 6 - coverage tier, 7 - wage

price1 = opt(opt1);
price2 = opt(opt2);
wage = opt(end);

oop1 = oop(:, opt1);
oop2 = oop(:, opt2);

cons1 = 1 - price1/wage - l*oop1./wage;
cons2 = 1 - price2/wage - l*oop2./wage;

% expected utility under each option, given risk aversion g
u1 = mean(crra(cons1,g));
u2 = mean(crra(cons2,g));
% compute utility differences
y = u1 - u2;

end

