function f=write(outfile, results, grid, sample)
% describe results
% data, in_sample

output = fopen(outfile, 'w+');

% results
[val, index] = max(results(:,end));		% maximum
occurs = sum(results(:,end)>=val);			% how many times it occurs
count = size(results, 1);

% for each value, maximum overlap
overlap = results(:,end);

for d = 1:size(grid, 2)
	for k = 1:length(grid{d})
		lambda{d}(k,1)=grid{d}(k);
		lambda{d}(k,2)=max(overlap(abs(results(:,d)-grid{d}(k))<.01));
	end
end

fprintf(output, 'overlap = %5.3f \n', val);
fprintf(output, 'occurs = %d out of %d \n', occurs, count);
fprintf(output, 'Set of parameters that achieves maximum overlap \n');
fprintf(output, '%5.3f \n', results(index,1:end-1));

% fprintf(output, 'runtime %5.3f mins \n \n', data.all_time/60);

% MAX OVERLAP
for d = 1:size(grid, 2)
	fprintf(output, '\n Maximum overlap by lambda', int2str(d), 'value \n');
	fprintf(output, '   value \t   overlap \n');
	fprintf(output, '%8.3f \t %8.3f \n', lambda{d}');
end

fprintf(output, '**************************************** \n\n');
fclose(output);
end

